#include "opendylan/run-time.h"

void _Init_dfmc_mangling_ () __attribute__((constructor));
void _Init_dfmc_mangling_ () {
  extern void _Init_Run_Time();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_mangling__X_mangling_library_for_system();
  extern void _Init_dfmc_mangling__X_mangling_for_system();
  extern void _Init_dfmc_mangling__X_demangling_for_system();
  extern void _Init_dfmc_mangling__X_mangling_library_for_user();
  extern void _Init_dfmc_mangling__X_mangling_for_user();
  extern void _Init_dfmc_mangling__X_demangling_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_dfmc_mangling__X_mangling_library_for_system();
    _Init_dfmc_mangling__X_mangling_for_system();
    _Init_dfmc_mangling__X_demangling_for_system();
    _Init_dfmc_mangling__X_mangling_library_for_user();
    _Init_dfmc_mangling__X_mangling_for_user();
    _Init_dfmc_mangling__X_demangling_for_user();
  }
}
